{ config, pkgs, ... }:

{
  services.caddy = {
    enable = true;
    # acmeCA = "https://acme-staging-v02.api.letsencrypt.org/directory";
    email = "davidcrompton1192@gmail.com";
  };
  services.nginx.group = "caddy";
  services.caddy.virtualHosts = {
    "star.zlinger.syzygial.cc" = {
      extraConfig = ''
        reverse_proxy 3.145.117.46:4000
      '';
    };
  };
}
